Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004890TestLinkDatabase Generalpublic2012-01-25 09:062012-09-01 19:59
ReporterW.Regenczuk 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004890: testplan::delete contains reference to risk_assignments
DescriptionWhen deleting testplan an error occurs because of sql which tries to delete datab from risk_assignments table (which was removed when uprading from 1.7 to 1.8).

In 1.9.3 it is line no: 1871:

$the_sql[]="DELETE FROM {$this->tables['risk_assignments']} WHERE testplan_id={$id}";
Steps To Reproducedelete test plan.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version5.2
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
has duplicate 0004976closedfman DB_Access_Error debug code display out when delete a blank test plan 
has duplicate 0004723closedfman Delete Test Plan prints an exception although delete works 
has duplicate 0005089closedfman error when deleting test plan 

-  Notes
(0017312)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2012-01-25 09:06 W.Regenczuk New Issue
2012-01-25 10:51 fman Assigned To => fman
2012-01-25 10:51 fman Status new => assigned
2012-04-17 05:44 fman Relationship added has duplicate 0004976
2012-04-17 05:45 fman Relationship added has duplicate 0004723
2012-07-14 07:25 fman Relationship added has duplicate 0005089
2012-07-28 15:12 fman Task Workflow Status => TBD
2012-07-28 15:12 fman Status assigned => resolved
2012-07-28 15:12 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-07-28 15:12 fman Resolution open => fixed
2012-09-01 19:59 fman Note Added: 0017312
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker